import 'package:flutter/material.dart';
import 'package:practica1_flutter/src/config/routes.dart';
import '../pages/category/category_widget.dart';
import '../pages/category_form.dart';
import '../pages/home_page.dart';
import '../pages/login_page.dart';
import '../pages/articles_page.dart';

Map<String, WidgetBuilder> getApplicationRoutes() {
  return <String, WidgetBuilder>{
    'login': (BuildContext context) => const LoginPage(),
    'homeSeller': (BuildContext context) => const HomeSellerPage(),
    //'articulos': (BuildContext context) => const ArticlesPage(),
    'category_form': (BuildContext context) => CategoryForm(),

  };
}
