import 'package:flutter/material.dart';

class LoginPage extends StatelessWidget {
  const LoginPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Estoy en Login'),
        backgroundColor: Colors.lightBlue, // Agregar color en la appBar
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            Image.asset('assets/img/logo_visorus.jpg', height: 100),
            const SizedBox(height: 20),//Espacio entre la imagen y campo de texto

            Padding(
              padding: const EdgeInsets.symmetric(horizontal: 80.0), // añado mi margen horizontal
              child: TextField(
                decoration: const InputDecoration(
                  labelText: 'Usuario',
                  border: OutlineInputBorder(),
                ),
              ),
            ),
            const SizedBox(height: 20),

            Padding(
              padding: const EdgeInsets.symmetric(horizontal: 80.0), // Añado mi margen horizontal
              child: TextField(
                decoration: const InputDecoration(
                  labelText: 'Contraseña',
                  border: OutlineInputBorder(),
                ),
                obscureText: true,
              ),
            ),
            const SizedBox(height: 20),

              ElevatedButton(
                onPressed: () {
                  Navigator.pushNamed(context, 'homeSeller');
                },
                child: const Text('Acceder'),
              ),
          ],
        ),
      ),
    );
  }
}

